> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gptproto.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Speech-2.5-Turbo-Preview-Voice-Clone - Voice To Voice - gptproto

> Speech-2.5-Turbo-Preview-Voice-Clone — Voice To Voice (gptproto). GPTProto API reference.

Minimax's GPTProto format for the Voice to Voice API.

<CodeGroup>
  ```bash cURL theme={null}
  curl -X POST "https://gptproto.com/api/v3/minimax/voice-clone" \
    -H "Authorization: YOUR_API_KEY" \
    -H "Content-Type: application/json" \
    -d '{
    "accuracy": 0.7,
    "audio": "https://d1q70pf5vjeyhc.cloudfront.net/media/92d2d4ca66f84793adcb20742b15d262/audios/1752727142784562094_VRSOK53Y.mp3",
    "custom_voice_id": "Alice-jiuhao-2",
    "model": "speech-2.5-turbo-preview-voice-clone",
    "need_noise_reduction": false,
    "need_volume_normalization": false,
    "text": "This is a preview of your cloned voice. I hope you enjoy it!"
  }'
  ```

  ```python Python theme={null}
  import requests
  import json

  url = "https://gptproto.com/api/v3/minimax/voice-clone"
  headers = {
      "Authorization": "YOUR_API_KEY",
      "Content-Type": "application/json"
  }

  data = {
    "accuracy": 0.7,
    "audio": "https://d1q70pf5vjeyhc.cloudfront.net/media/92d2d4ca66f84793adcb20742b15d262/audios/1752727142784562094_VRSOK53Y.mp3",
    "custom_voice_id": "Alice-jiuhao-2",
    "model": "speech-2.5-turbo-preview-voice-clone",
    "need_noise_reduction": false,
    "need_volume_normalization": false,
    "text": "This is a preview of your cloned voice. I hope you enjoy it!"
  }

  response = requests.post(url, headers=headers, json=data)
  result = response.json()
  print(json.dumps(result, indent=2))
  ```

  ```javascript JavaScript theme={null}
  const url = "https://gptproto.com/api/v3/minimax/voice-clone";
  const headers = {
    "Authorization": "YOUR_API_KEY",
    "Content-Type": "application/json"
  };

  const data = {
    "accuracy": 0.7,
    "audio": "https://d1q70pf5vjeyhc.cloudfront.net/media/92d2d4ca66f84793adcb20742b15d262/audios/1752727142784562094_VRSOK53Y.mp3",
    "custom_voice_id": "Alice-jiuhao-2",
    "model": "speech-2.5-turbo-preview-voice-clone",
    "need_noise_reduction": false,
    "need_volume_normalization": false,
    "text": "This is a preview of your cloned voice. I hope you enjoy it!"
  };

  fetch(url, {
    method: "POST",
    headers: headers,
    body: JSON.stringify(data)
  })
    .then(response => response.json())
    .then(data => console.log(data))
    .catch(error => console.error("Error:", error));
  ```

  ```go Go theme={null}
  package main

  import (
      "bytes"
      "encoding/json"
      "fmt"
      "io/ioutil"
      "net/http"
  )

  func main() {
      url := "https://gptproto.com/api/v3/minimax/voice-clone"

      payload := []byte(`{
  "accuracy": 0.7,
  "audio": "https://d1q70pf5vjeyhc.cloudfront.net/media/92d2d4ca66f84793adcb20742b15d262/audios/1752727142784562094_VRSOK53Y.mp3",
  "custom_voice_id": "Alice-jiuhao-2",
  "model": "speech-2.5-turbo-preview-voice-clone",
  "need_noise_reduction": false,
  "need_volume_normalization": false,
  "text": "This is a preview of your cloned voice. I hope you enjoy it!"
  }`)

      req, _ := http.NewRequest("POST", url, bytes.NewBuffer(payload))
      req.Header.Set("Authorization", "YOUR_API_KEY")
      req.Header.Set("Content-Type", "application/json")

      client := &http.Client{}
      resp, err := client.Do(req)
      if err != nil {
          panic(err)
      }
      defer resp.Body.Close()

      body, _ := ioutil.ReadAll(resp.Body)
      fmt.Println(string(body))
  }
  ```
</CodeGroup>

<CodeGroup>
  ```json 401 - Invalid signature theme={null}
  {
    "error": {
      "message": "Invalid signature",
      "type": "401"
    }
  }
  ```

  ```json 403 - Insufficient balance theme={null}
  {
    "error": {
      "message": "Insufficient balance",
      "type": "403"
    }
  }
  ```

  ```json 500 - Internal server error theme={null}
  {
    "error": {
      "message": "Internal server error",
      "type": "500"
    }
  }
  ```

  ```json 503 - Content policy violation theme={null}
  {
    "error": {
      "message": "Input may not meet the guidelines. Please adjust and try again.",
      "type": "503"
    }
  }
  ```
</CodeGroup>

## Parameters

| Parameter                   | Type    | Required | Default                                                        | Description                                                                                                                                                                         |
| --------------------------- | ------- | -------- | -------------------------------------------------------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `audio`                     | string  | ❌ No     | -                                                              | The uploaded file is cloned and supports formats such as MP3, M4A, and WAV.                                                                                                         |
| `custom_voice_id`           | string  | ✅ Yes    | -                                                              | Custom user-defined ID. Minimum 8 characters; must include letters and numbers and start with a letter (e.g., gptproto0001). Duplicate voice-ids will throw an error.               |
| `model`                     | string  | ✅ Yes    | `speech-2.5-turbo-preview-voice-clone`                         | Specify the TTS model to be used for the preview. This is only a preview after cloning. Once the model is generated, any Minimax Turbo or HD voice model can be used for inference. |
| `need_noise_reduction`      | string  | ❌ No     | -                                                              | Enable noise reduction. Default is false (no noise reduction).                                                                                                                      |
| `need_volume_normalization` | boolean | ❌ No     | `false`                                                        | Specify whether to enable volume normalization. If not provided, the default value is false.                                                                                        |
| `accuracy`                  | number  | ❌ No     | `0.7`                                                          | 0.00 \~ 1.00 .Uploading this parameter will set the text validation accuracy threshold, with a value range of \[0,1]. If not provided, the default value for this parameter is 0.7. |
| `text`                      | string  | ❌ No     | `This is a preview of your cloned voice. I hope you enjoy it!` | Text for audio preview. Limited to 2000 characters.                                                                                                                                 |

## Response
